#
# spec file for package dxirc
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dxirc
Version:        1.30.0
Release:        lp150.1.23
Summary:        A simple IRC client
License:        GPL-3.0
Group:          Productivity/Networking/IRC
Url:            http://www.dxirc.org/
Source0:        dxirc-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  fox16-devel
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  lua51-devel
Provides:       dxirc-data = %{version}-%{release}
Obsoletes:      dxirc-data < %{version}-%{release}
Provides:       dxirc-fox = %{version}-%{release}
Obsoletes:      dxirc-fox < %{version}-%{release}
Provides:       dxirc-qt = %{version}-%{release}
Obsoletes:      dxirc-qt < %{version}-%{release}

%description
Dxirc is simple IRC client. dxirc is desktop independent and is written with
the C++ Fox Toolkit.

%prep
%setup -q

%build
%cmake
make %{?_smp_mflags}

%install
%cmake_install
find %{buildroot} -ls
find %{buildroot} -name COPYING -print -delete
ln -sv %{name}-fox %{buildroot}%{_bindir}/%{name}
%find_lang %{name}

%suse_update_desktop_file -r %{name}-fox Network IRCClient
%suse_update_desktop_file -r %{name}-qt Network IRCClient

%fdupes -s %{buildroot}%{_datadir}/%{name}/icons

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/*
%{_datadir}/applications
%{_datadir}/%{name}
%{_datadir}/icons

%changelog
* Wed Jan 18 2017 olaf@aepfle.de
- Update to 1.30.0
* Thu Oct 23 2014 avvissu@yandex.ru
- Update to 1.10.0
- Spec file cleanup
* Sun Oct 23 2011 pascal.bleser@opensuse.org
- update to 0.90.0:
  * add option for unlimited reconnect attempts
  * add "Open in a web browser" and "Copy the link" into dxtext popup menu
  * add option for sort nick list by user mode
  * improvement in ConfigDialog
  * add new command "LOG"
  * add option disable sort tabs and keybindings for move tab up and down
  * add Slovak translation
* Wed Sep 14 2011 detlef@links2linux.de
- initial build for PackMan <0.80.0>
